Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.filter
Class QueryPath

    java.lang.Object
      org.apache.cassandra.db.filter.QueryPath

    public class QueryPath

extends java.lang.Object

Field Summary
`java.lang.String` | `columnFamilyName`
`byte[]` | `columnName`
`byte[]` | `superColumnName`

Constructor Summary
`QueryPath(ColumnParent columnParent)`
`QueryPath(ColumnPath column_path)`
`QueryPath(java.lang.String columnFamilyName)`
`QueryPath(java.lang.String columnFamilyName, byte[] superColumnName)`
`QueryPath(java.lang.String columnFamilyName, byte[] superColumnName, byte[] columnName)`

Method Summary
`static QueryPath` | `column(byte[] columnName)`
`static QueryPath` | `deserialize(java.io.DataInputStream din)`
`void` | `serialize(java.io.DataOutputStream dos)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### columnFamilyName

    public final java.lang.String columnFamilyName

### superColumnName

    public final byte[] superColumnName

### columnName

    public final byte[] columnName

Constructor Detail

### QueryPath

    public QueryPath(java.lang.String columnFamilyName,
                     byte[] superColumnName,
                     byte[] columnName)

### QueryPath

    public QueryPath(ColumnParent columnParent)

### QueryPath

    public QueryPath(java.lang.String columnFamilyName,
                     byte[] superColumnName)

### QueryPath

    public QueryPath(java.lang.String columnFamilyName)

### QueryPath

    public QueryPath(ColumnPath column_path)

Method Detail

### column

    public static QueryPath column(byte[] columnName)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(java.io.DataOutputStream dos)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public static QueryPath deserialize(java.io.DataInputStream din)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation